#!/bin/sh
lxsocva=3.16.0

lxsocra=stretch
lxsocsa="+deb9"

lxdebua=https://www.kernel.org/pub/linux/kernel/v4.x
lxdebva=3.16.0-1

lxorgub=https://www.kernel.org/pub/linux/kernel/v4.x

lxdebrb=jessie

lxdebub=http://security.debian.org/pool/updates/main/l/linux
lxdebdb=${lxdebrb}/updates
lxdebvb=3.16.0-3+deb8u1

#lxdebub=http://ftp.us.debian.org/debian/pool/main/l/linux
#lxdebdb=${lxdebrb}-updates
#lxdebvb=3.16.0-3

BSP_GROUP=sbc

BSP_ARCH=arm64

BSP_CONFIG=sbc64
#BSP_CONFIG=raspi_ubuntu

[ -z "$BSP_MODEL" ] && BSP_MODEL=n1

if [ "X$BSP_MODEL" = "Xc2" ] ; then
#BSP_CONFIG=meson64
#BSP_CONFIG=meson64_ubuntu
#BSP_CONFIG=odroidc2
#BSP_CONFIG=odroidc2_debian
BSP_DTS=meson-gxbb-odroidc2
BSP_VENDOR=Odroid
BSP_MODEL=c2
BSP_MODEL_2=c1
fi

if [ "X$BSP_MODEL" = "Xc4" ] ; then
#BSP_DTS=meson-sm1-odroid-c4
BSP_DTS=meson64_odroidc4
BSP_VENDOR=Odroid
BSP_MODEL=c4
BSP_MODEL_2=c3
fi

if [ "X$BSP_MODEL" = "Xn2" ] ; then
BSP_DTS=meson-g12b-odroid-n2
BSP_VENDOR=Odroid
BSP_MODEL=n2
BSP_MODEL_2=n3
fi

if [ "X$BSP_MODEL" = "Xm1" ] ; then
#BSP_GROUP=rocksbc
#BSP_GROUP=m1
#BSP_CONFIG=rocksbc64
#BSP_CONFIG=odroidm1
BSP_DTS=rk3568-odroid-m1
BSP_VENDOR=Odroid
BSP_MODEL=m1
BSP_MODEL_2=m0
fi

if [ "X$BSP_MODEL" = "Xn1" ] ; then
#BSP_GROUP=rockchip
#BSP_GROUP=rocksbc
#BSP_GROUP=n1
#BSP_CONFIG=rockchip_linux
#BSP_CONFIG=rk33
#BSP_CONFIG=rocksbc64
#BSP_CONFIG=odroidn1
BSP_DTS=rk3399-odroidn1
BSP_VENDOR=Odroid
BSP_MODEL=n1
BSP_MODEL_2=n0
fi

if [ "X$BSP_MODEL" = "Xgoa" ] ; then
#BSP_GROUP=rocksbc
#BSP_GROUP=goa
#BSP_CONFIG=rk33
#BSP_CONFIG=rocksbc64
#BSP_CONFIG=odroidgoa
#BSP_DTS=rk3326-odroid-go2
BSP_DTS=rk3326-odroidgo2
BSP_VENDOR=Odroid
BSP_MODEL=goa
BSP_MODEL_2=go2
fi

if [ "X$BSP_MODEL" = "Xrockpi4" ] ; then
#BSP_GROUP=rocksbc
#BSP_CONFIG=rk33
#BSP_CONFIG=rk33_deadline
#BSP_CONFIG=rocksbc64
BSP_DTS=rk3399-rock-pi-4c
BSP_VENDOR=Radxa
BSP_MODEL=rockpi4
BSP_MODEL_2=rockpie
fi

if [ "X$BSP_MODEL" = "Xrockpro64" ] ; then
#BSP_GROUP=rocksbc
#BSP_CONFIG=rk33
#BSP_CONFIG=rk33_deadline
#BSP_CONFIG=rocksbc64
BSP_DTS=rk3399-rockpro64
BSP_VENDOR=Pine64
BSP_MODEL=rockpro64
BSP_MODEL_2=rock64
fi

if [ "X$BSP_MODEL" = "Xpine64" ] ; then
#BSP_CONFIG=sun50i
BSP_DTS=sun50i-a64-pine64
BSP_VENDOR=Pine64
BSP_MODEL=pine64
BSP_MODEL_2=pinebook
fi

if [ "X$BSP_MODEL" = "Xubuntu" ] ; then
BSP_GROUP=ubu
BSP_CONFIG=${BSP_ARCH}_ubuntu
BSP_DTS=rk3399-odroidn1
BSP_VENDOR=Ubuntu
BSP_MODEL=ubuntu
BSP_MODEL_2=debian
fi

if [ "X$BSP_MODEL" = "Xc1" ] ; then
BSP_ARCH=armhf
BSP_GROUP=meson
BSP_CONFIG=meson8b
BSP_DTS=meson8b-odroidc1
BSP_VENDOR=Odroid
BSP_MODEL=c1
BSP_MODEL_2=c0
fi

if [ "X$BSP_MODEL" = "Xxu4" ] ; then
BSP_ARCH=armhf
BSP_GROUP=xu4
BSP_CONFIG=odroidxu4
BSP_DTS=exynos5422-odroidxu4
BSP_VENDOR=Odroid
BSP_MODEL=xu4
BSP_MODEL_2=xu3
fi

if [ "X$BSP_MODEL" = "Xbpi" ] ; then
BSP_ARCH=armhf
BSP_GROUP=sunxi
BSP_CONFIG=sun7i
BSP_DTS=sun7i-a20-bananapi
BSP_VENDOR=Allwinner
BSP_MODEL=bpi
BSP_MODEL_2=bpro
fi

if [ "X$BSP_MODEL" = "Xbpi-m2-berry" ] ; then
BSP_ARCH=armhf
BSP_GROUP=sunxi
BSP_CONFIG=sun7i
BSP_DTS=sun8i-v40-bananapi
BSP_VENDOR=Allwinner
BSP_MODEL=bpi-m2-berry
BSP_MODEL_2=bpi-m2-ultra
fi

if [ "X$BSP_MODEL" = "Xgfsc100" ] ; then
BSP_ARCH=armhf
BSP_GROUP=gfiber
#BSP_CONFIG=multi_v7
BSP_CONFIG=gfsc100
BSP_DTS=gfsc100
BSP_VENDOR=Google
BSP_MODEL=gfsc100
BSP_MODEL_2=gfrg200
fi

if [ "X$BSP_MODEL" = "Xnas5xx" -o "X$BSP_MODEL" = "Xnas520" -o "X$BSP_MODEL" = "Xnas540" ] ; then
BSP_ARCH=armhf
#BSP_GROUP=ls1024a
BSP_GROUP=nas5xx
#BSP_CONFIG=multi_v7
#BSP_CONFIG=gfsc100
#BSP_CONFIG=gfrg200
BSP_CONFIG=ls1024a
BSP_DTS=ls1024a-$BSP_MODEL
BSP_VENDOR=Zyxel
#BSP_MODEL=nas5xx
BSP_MODEL_2=nas540
fi

if [ "X$BSP_MODEL" = "Xts431" ] ; then
BSP_ARCH=armhf
BSP_GROUP=ls1024a
#BSP_CONFIG=multi_v7
BSP_CONFIG=ls1024a
BSP_DTS=ls1024a-tsx31
BSP_VENDOR=Qnap
BSP_MODEL=ts431
BSP_MODEL_2=ts231
fi

if [ "X$BSP_MODEL" = "Xarmhf-ubuntu" ] ; then
BSP_ARCH=armhf
BSP_GROUP=ubu
BSP_CONFIG=${BSP_ARCH}_ubuntu
BSP_DTS=meson8b-odroidc1
BSP_VENDOR=Ubuntu
BSP_MODEL=ubuntu
BSP_MODEL_2=debian
fi


if [ "X$BSP_MODEL" = "amd64-ubuntu" ] ; then
BSP_ARCH=amd64
BSP_GROUP=ubu
BSP_CONFIG=${BSP_ARCH}_ubuntu
BSP_DTS=none
BSP_VENDOR=Ubuntu
BSP_MODEL=ubuntu
BSP_MODEL_2=debian
fi


if [ "X$BSP_MODEL" = "Xsun20i" ] ; then
BSP_ARCH=riscv64
BSP_GROUP=sun20i
#BSP_CONFIG=d1nezha
BSP_CONFIG=sbcrv64
#BSP_CONFIG=sbcrv64lite
BSP_DTS=sun20i-d1-nezha
BSP_VENDOR=Allwinner
BSP_MODEL=sun20i
BSP_MODEL_2=sun7i
fi


BSP_ABINAME=3.16.0-6

DEB_VENDOR="ARM Ltd."
DEB_MODEL=arm64
DEB_NAME="ARMv8"
DEB_ABINAME=3.16.0-5
lldebva=63

# static definitions end

lxsocka=${lxsocva}
lxdebka=${lxdebva/-*/}
lxdebkb=${lxdebvb/-*/}

lxsocla=`echo "${lxsocka}" | cut -d . -f 3`
lxdebla=`echo "${lxdebka}" | cut -d . -f 3`
lxdeblb=`echo "${lxdebkb}" | cut -d . -f 3`

DEB_ABI_MAJOR=`echo ${DEB_ABINAME} | cut -d "." -f 1`
DEB_ABI_MINOR=`echo ${DEB_ABINAME} | cut -d "." -f 2`
DEB_ABI_PATCH=`echo ${DEB_ABINAME} | cut -d "." -f 3 | cut -d "-" -f 1`
DEB_ABI_STEP=`echo ${DEB_ABINAME} | cut -d "-" -f 2`

BSP_ABI_MAJOR=`echo ${BSP_ABINAME} | cut -d "." -f 1`
BSP_ABI_MINOR=`echo ${BSP_ABINAME} | cut -d "." -f 2`
BSP_ABI_PATCH=`echo ${BSP_ABINAME} | cut -d "." -f 3 | cut -d "-" -f 1`
BSP_ABI_STEP=`echo ${BSP_ABINAME} | cut -d "-" -f 2`

BSP_KBUILD=`echo ${BSP_ABINAME} | cut -d "." -f 1-2`
BSP_KERNEL_VER=${BSP_ABINAME}-${BSP_MODEL}
BSP_KERNEL_DEB=linux-image-${BSP_ABINAME}-${BSP_MODEL}_1_none.deb

BSP_NAME=`echo "${BSP_MODEL}" | tr a-z A-Z`
BSP_NAME_2=`echo "${BSP_MODEL_2}" | tr a-z A-Z`

#EOF

